Package org.apache.sling.cms.reference.forms

## Interface FormValueProvider

All Known Implementing Classes:
  `RequestParametersValueProvider`, `SuffixResourceFormValueProvider`, `UserProfileFormValueProvider`

    public interface FormValueProvider

Service interface for providing values to form fields. Classes implementing this interface should make values available to the form fields via the Form Data in the Form Request.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `handles​(org.apache.sling.api.resource.Resource valueProviderResource)`
`void` `loadValues​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.resource.Resource valueProviderResource, Map<String,​Object> formData)` Populates the form values for a request.

### Method Detail

#### handles

    boolean handles​(org.apache.sling.api.resource.Resource valueProviderResource)

#### loadValues

    void loadValues​(org.apache.sling.api.SlingHttpServletRequest request,
                    org.apache.sling.api.resource.Resource valueProviderResource,
                    Map<String,​Object> formData)

Populates the form values for a request.

Parameters:
  `request` - the original request
  `valueProviderResource` - the resource for configuring this provider
  `formData` - the map of data for the form